Bug 30457 - Convert holds page tabs to Bootstrap
Summary: Convert holds page tabs to Bootstrap
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on:
Blocks: 29226 30693
  Show dependency treegraph
 
Reported: 2022-04-05 13:32 UTC by Owen Leonard
Modified: 2022-05-13 15:55 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30457: Convert holds page tabs to Bootstrap (6.23 KB, patch)
2022-04-05 16:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30457: Convert holds page tabs to Bootstrap (6.29 KB, patch)
2022-04-07 16:51 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 30457: (follow-up) Tweak markup around search form (1.79 KB, patch)
2022-04-20 16:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30457: Convert holds page tabs to Bootstrap (6.35 KB, patch)
2022-04-20 16:54 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30457: (follow-up) Tweak markup around search form (1.85 KB, patch)
2022-04-20 16:54 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-04-05 13:32:08 UTC
Continuing the process of phasing out jQueryUI, this patch will replace jQueryUI tabs in the holds template with Bootstrap.
Comment 1 Owen Leonard 2022-04-05 16:58:59 UTC
Created attachment 132980 [details] [review]
Bug 30457: Convert holds page tabs to Bootstrap

This patch updates the holds page to replace jQueryUI tabs with
Bootstrap.

To test, apply the patch and begin the process of placing a hold on a
title in the catalog.

If you have one or more patron clubs configured:
 - You should see two tabs, Patrons and Clubs.
 - Both should look correct and work correctly.
 - The Patrons tab should be selected initially, with cursor focus in
   the form field.
 - Switch to the Clubs tab. The cursor focus should move to the form
   field under this tab.
 - Submit a club search which will return results.
 - The page should refresh and the clubs tab should be preselected,
   showing the search results.

If you have no patron clubs configured, the page should show only the
Patrons tab.
Comment 2 Lucas Gass 2022-04-07 16:51:05 UTC
Created attachment 133088 [details] [review]
Bug 30457: Convert holds page tabs to Bootstrap

This patch updates the holds page to replace jQueryUI tabs with
Bootstrap.

To test, apply the patch and begin the process of placing a hold on a
title in the catalog.

If you have one or more patron clubs configured:
 - You should see two tabs, Patrons and Clubs.
 - Both should look correct and work correctly.
 - The Patrons tab should be selected initially, with cursor focus in
   the form field.
 - Switch to the Clubs tab. The cursor focus should move to the form
   field under this tab.
 - Submit a club search which will return results.
 - The page should refresh and the clubs tab should be preselected,
   showing the search results.

If you have no patron clubs configured, the page should show only the
Patrons tab.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Tomás Cohen Arazi 2022-04-20 14:51:37 UTC
Hi, tabs are not aligned correctly on my testing:

https://snipboard.io/lqO09T.jpg
Comment 4 Martin Renvoize 2022-04-20 15:15:28 UTC
Confirmed, alignment is out
Comment 5 Owen Leonard 2022-04-20 16:27:01 UTC
Created attachment 133491 [details] [review]
Bug 30457: (follow-up) Tweak markup around search form

This patch makes a change to the markup around the patron/clubs search
form on the holds page. This change prevents the Bootstrap tabs from
inheriting an unwanted margin from the fieldset.brief definition.

The change also replaces a <label> tag with an <h2>. I think a heading
makes more sense than a free-floating <label>.

To test, apply the patch and confirm that the holds page
(/cgi-bin/koha/reserve/request.pl?biblionumber=XXX) looks correct.
Comment 6 Martin Renvoize 2022-04-20 16:54:02 UTC
Created attachment 133493 [details] [review]
Bug 30457: Convert holds page tabs to Bootstrap

This patch updates the holds page to replace jQueryUI tabs with
Bootstrap.

To test, apply the patch and begin the process of placing a hold on a
title in the catalog.

If you have one or more patron clubs configured:
 - You should see two tabs, Patrons and Clubs.
 - Both should look correct and work correctly.
 - The Patrons tab should be selected initially, with cursor focus in
   the form field.
 - Switch to the Clubs tab. The cursor focus should move to the form
   field under this tab.
 - Submit a club search which will return results.
 - The page should refresh and the clubs tab should be preselected,
   showing the search results.

If you have no patron clubs configured, the page should show only the
Patrons tab.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2022-04-20 16:54:06 UTC
Created attachment 133494 [details] [review]
Bug 30457: (follow-up) Tweak markup around search form

This patch makes a change to the markup around the patron/clubs search
form on the holds page. This change prevents the Bootstrap tabs from
inheriting an unwanted margin from the fieldset.brief definition.

The change also replaces a <label> tag with an <h2>. I think a heading
makes more sense than a free-floating <label>.

To test, apply the patch and confirm that the holds page
(/cgi-bin/koha/reserve/request.pl?biblionumber=XXX) looks correct.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 8 Martin Renvoize 2022-04-20 16:54:49 UTC
Excellent, thanks for the quick follow-up.

PQA
Comment 9 Fridolin Somers 2022-05-02 21:25:04 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄